modis L1B

Please enter here to ask a question about any NASA Science related topics!
Post Reply
ocabrera
Posts: 2
Joined: Tue Nov 23, 2021 8:45 pm America/New_York

modis L1B

by ocabrera » Tue Nov 23, 2021 9:04 pm America/New_York

I am trying to process L1A files in seadas (Windows with UBUNTU System)
but I am receiving an error as below. When i do a search for invalid cross-link, it has to do with source and target names, but I do not know where this is being set.

====
execution exception: java.io.IOException: modis_L1B failed with exit code 1.
Check log for more details.
MODIS Aqua L1B version 6.2.1_obpg, built Jun 18 2021 11:21:40
scan: 0 out of 191 Wed Nov 24 09:50:39 2021
scan: 10 out of 191 Wed Nov 24 09:50:47 2021
scan: 20 out of 191 Wed Nov 24 09:50:47 2021
scan: 30 out of 191 Wed Nov 24 09:50:48 2021
scan: 40 out of 191 Wed Nov 24 09:50:49 2021
scan: 50 out of 191 Wed Nov 24 09:50:50 2021
scan: 60 out of 191 Wed Nov 24 09:50:50 2021
scan: 70 out of 191 Wed Nov 24 09:50:51 2021
scan: 80 out of 191 Wed Nov 24 09:50:51 2021
scan: 90 out of 191 Wed Nov 24 09:50:52 2021
scan: 100 out of 191 Wed Nov 24 09:50:52 2021
scan: 110 out of 191 Wed Nov 24 09:50:53 2021
scan: 120 out of 191 Wed Nov 24 09:50:53 2021
scan: 130 out of 191 Wed Nov 24 09:50:54 2021
scan: 140 out of 191 Wed Nov 24 09:50:54 2021
scan: 150 out of 191 Wed Nov 24 09:50:55 2021
scan: 160 out of 191 Wed Nov 24 09:50:55 2021
scan: 170 out of 191 Wed Nov 24 09:50:56 2021
scan: 180 out of 191 Wed Nov 24 09:50:56 2021
scan: 190 out of 191 Wed Nov 24 09:50:57 2021

LUT directory: /home/seadas/ocssw/var/modisa/cal/OPER
LUT version: 6.2.1.60_OC_v1.60
Reflective LUT: MYD02_Reflective_LUTs.V6.2.1.60_OC_v1.60.hdf
Emissive LUT: MYD02_Emissive_LUTs.V6.2.1.60_OC_v1.60.hdf
QA LUT: MYD02_QA_LUTs.V6.2.1.60_OC_v1.60.hdf

Processing MODIS L1A file to L1B...
/home/seadas/ocssw/bin/l1bgen_modisa exit status: 0
Traceback (most recent call last):
File "/usr/lib/python3.8/shutil.py", line 791, in move
os.rename(src, real_dst)
OSError: [Errno 18] Invalid cross-device link: '/home/seadas/ocssw/A2009032054000.L1B_LAC.x.hdf' -> '/mnt/c/seadas/A2009032054000.L1B_LAC.x.hdf'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/seadas/ocssw/bin/modis_L1B", line 86, in <module>
sys.exit(main())
File "/home/seadas/ocssw/bin/modis_L1B", line 82, in main
l1b_instance.run()
File "/home/seadas/ocssw/bin/modis/modis_L1B_utils.py", line 158, in run
shutil.move(origfile, l1bfile)
File "/usr/lib/python3.8/shutil.py", line 811, in move
copy_function(src, real_dst)
File "/usr/lib/python3.8/shutil.py", line 436, in copy2
copystat(src, dst, follow_symlinks=follow_symlinks)
File "/usr/lib/python3.8/shutil.py", line 375, in copystat
lookup("utime")(dst, ns=(st.st_atime_ns, st.st_mtime_ns),
PermissionError: [Errno 1] Operation not permitted

Tags:

OB SeaDAS - aynur
Subject Matter Expert
Subject Matter Expert
Posts: 40
Joined: Tue Dec 20, 2011 12:28 pm America/New_York

Re: modis L1B

by OB SeaDAS - aynur » Wed Nov 24, 2021 6:39 pm America/New_York

Hi,

Please send us the screenshot of modis_L1B GUI, after you select the input file and make other selections for execution.

Thanks,
Aynur

ocabrera
Posts: 2
Joined: Tue Nov 23, 2021 8:45 pm America/New_York

Re: modis L1B

by ocabrera » Thu Nov 25, 2021 8:39 am America/New_York

Hi Aynur,

Attached is the SEADAS screenshot.

Thanks,
Olive
Attachments
Screen Shot 2021-11-25 at 9.36.32 PM.png
Screen Shot 2021-11-25 at 9.36.32 PM.png (414.93 KiB) Not viewed yet

Post Reply